[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.ParentFormHandleInitialized

Internal handler for activities after a form widget has been created.

## Declaration

Source position: controls.pp line 1525

`protected procedure TControl.ParentFormHandleInitialized; virtual;`

## Description

Called by ChildHandlesCreated of parent form.

Functions like GetTextWidth require a valid widget and a device context. That is why AutoSizing is delayed until the handle in a parent Form is allocated.